LocalMethod

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel
Class LocalMethod

    java.lang.Object
      |
      +--gnu.jel.LocalField
            |
            +--gnu.jel.LocalMethod

All Implemented Interfaces:
  java.lang.reflect.Member

public class LocalMethod
extends LocalField

Represents a method local to the class being compiled.

Field Summary

Fields inherited from interface java.lang.reflect.Member
`DECLARED, PUBLIC`

Constructor Summary
`LocalMethod(int modifiers, java.lang.Class type, java.lang.String name, java.lang.Class[] paramTypes, java.lang.Class[] exceptions)` Constructs a new local method.

Method Summary
`java.lang.Class[]` | `getExceptionTypes()` Used to get checked exceptions thrown by this method
`java.lang.Class[]` | `getParameterTypes()` Used to obtain types of formal parameters of this method.

Methods inherited from class gnu.jel.LocalField
`getConstValue, getDeclaringClass, getModifiers, getName, getType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalMethod

    public LocalMethod(int modifiers,
                       java.lang.Class type,
                       java.lang.String name,
                       java.lang.Class[] paramTypes,
                       java.lang.Class[] exceptions)

  Constructs a new local method.

Parameters:
  `modifiers` - sum of one or more of `PUBLIC`, `PRIVATE`, `PROTECTED`,`STATIC`, `FINAL`, `SYNCHRONIZED`, `NATIVE`, `ABSTRACT` constants of java.lang.reflect.Modifier .
  `type` - type of the return value.
  `name` - name of the method
  `paramTypes` - array of types of formal parameters excluding "this" (null means no parameters).
  `exceptions` - checked exceptions thrown

Method Detail

### getParameterTypes

    public java.lang.Class[] getParameterTypes()

  Used to obtain types of formal parameters of this method.

  Returns:
    array of classes representing formal parameters of the method except "this"

### getExceptionTypes

    public java.lang.Class[] getExceptionTypes()

  Used to get checked exceptions thrown by this method

  Returns:
    array of checked exceptions

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD